"   Plugins
Plug 'preservim/nerdtree'
Plug 'tpope/vim-commentary'
Plug 'machakann/vim-highlightedyank'


"   Global
set clipboard=unnamedplus
let mapleader=" "
set scrolloff=5
set incsearch


"   Incode mappings
map <S-Space> <Action>(GotoNextError)

""  Commentary
nnoremap <S-\> :Commentary<CR>
xnoremap <S-\> :Commentary<CR>


"   Navigation
"" editor navigation
nnoremap H gT
nnoremap H gt

""  code spaces navigation
nnoremap <C-H> <C-w>H
nnoremap <C-L> <C-w>L
nnoremap <C-k> <C-w>k
nnoremap <C-j> <C-w>j

""  tree-code navigation
""" set "FocusEditor" to <C-l> in Android Studio settings
nnoremap <C-h> :action ActivateProjectToolWindow<CR>
nnoremap <C-t> :action ActivateTerminalToolWindow<CR>

"   tree
let g:NERDTreeMapCloseDir = 'h'
let g:NERDTreeMapActivateNode = 'l'
let g:NERDTreeMapToggleHidden = 'H'
let g:NERDTreeMapDelete = 'd'
let g:NERDTreeMapNewFile = 'a'
let g:NERDTreeMapNewDir = 'A'
let g:NERDTreeMapToggleZoom = 'n'


"   Testing
"map Q gq
